> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/game-hosting/elements/deploymentenvironment/dclocation.md).

# Dclocation

The DcLocation element represents a data center in a certain location. This can be an i3D.net data center or one of a cloud provider. The latter parties often refer to this as a region, but really these are simply data centers with a varying degree of redundancy in the form of availability zones.

## Usage

The DcLocation element is used throughout your [DeploymentProfile](/game-hosting/elements/deploymentenvironment/deploymentprofile.md), or more specifically [DeploymentRegions](/game-hosting/elements/deploymentenvironment/deploymentregion.md) and [DeploymentContainerLocations](/game-hosting/elements/deploymentenvironment/deploymentcontainerlocation.md), where you can specify in which data center you want to deploy your applications.

## Element structure

| Property          | Value type | Required  | Description                                                                                                                                                                                                                                                                 |
| ----------------- | ---------- | --------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id                | string     | Read-only | Unique identifier of this element                                                                                                                                                                                                                                           |
| continentId       | int        | Read-only | <p><strong>1</strong>: Africa<br><strong>2</strong>: Antarctica<br><strong>3</strong>: Asia<br><strong>4</strong>: Australia<br><strong>5</strong>: Europe<br><strong>6</strong>: Middle East<br><strong>7</strong>: North America<br><strong>8</strong>: South America</p> |
| country           | string     | Read-only | Name of the country the DC is located in                                                                                                                                                                                                                                    |
| displayName       | string     | Read-only | Name of the city the DC is located in                                                                                                                                                                                                                                       |
| providerId        | int        | Read-only | <p><strong>1</strong>: i3D.net<br><strong>27</strong>: AWS<br><strong>31</strong>: GCP</p>                                                                                                                                                                                  |
| availabilityZones | \[string]  | Read-only | Provider availability zones for a data center (where available)                                                                                                                                                                                                             |
| regionName        | string     | Read-only | Provider region name                                                                                                                                                                                                                                                        |

Table 1: DcLocation element structure

## Examples

Below you will find some example DcLocation elements along with explanations.

#### HTTP request

[`GET /v3/cloud/dcLocation`](/api/api_one.md#v3-cloud-dclocation)

#### Response body

```
[
    ... snipped ...
    {
        "id": 6,
        "continentId": 5,
        "country": "Netherlands",
        "displayName": "Rotterdam",
        "providerId": 1,
        "availabilityZones": [],
        "regionName": ""
    },
    ... snipped ...
    {
        "id": 29,
        "continentId": 5,
        "country": "Germany",
        "displayName": "Frankfurt",
        "providerId": 27,
        "availabilityZones": [
            "a",
            "b",
            "c"
        ],
        "regionName": "eu-central-1"
    },
    ... snipped ...
    {
        "id": 64,
        "continentId": 7,
        "country": "Canada",
        "displayName": "Montreal",
        "providerId": 31,
        "availabilityZones": [
            "-a",
            "-b",
            "-c"
        ],
        "regionName": "northamerica-northeast1"
    },
    ... snipped ...
]
```

The first entry with ID 6 represents an i3D.net data center (providerId = 1).\
It is located in Europe (continentId = 5), in Rotterdam, the Netherlands.\
It has no availability zones and no region name. These are only populated for cloud locations. This is an i3D.net data center.

The second entry with ID 29 represents an AWS data center (providerId = 27).\
It is located in Europe (continentId = 5), in Frankfurt, Germany.\
It has 3 availability zones and its region name is the official AWS region "eu-central-1".

The third entry with ID 64 represents a GCP data center (providerId = 31).\
It is located in North America (continentId = 7), in Montreal, Canada.\
It has 3 availability zones and its region name is the official GCP region "northamerica-northeast1".

## Availability zones

You cannot configure / specify availability zones in your [DeploymentProfile](/game-hosting/elements/deploymentenvironment/deploymentprofile.md). The platform will create VMs in a round-robin fashion to spread your VMs over all available availability zones automatically.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.i3d.net/game-hosting/elements/deploymentenvironment/dclocation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
